Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PageView

All Superinterfaces:
  ChildView, MarkupBasedView, NavigableView, ParentView, Serializable, ThemedMarkupBasedView, View

public interface PageView
extends ParentView, NavigableView, ThemedMarkupBasedView

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

The page view represents a page and all its contents. Pages are used to display child Portlets and child Books in a specific layout in a browser. A common term/interface used to represent things that can be placed on a page is "Placeable". So both Book and Portlet extend Placeable. There is no theoretical limit to the number of placeables a page may contain.

Field Summary

Fields inherited from interface com.bea.netuix.application.view.NavigableView
`ALIGNMENT_LEFT, ALIGNMENT_RIGHT`

Method Summary
`int` | `getBookCount()` A convenience method for retrieving a total count of all the books in all the placeholders on this page.
`BookGroupId` | `getBookGroupId()` Getter for page's book group id.
`BookView` | `getBookView(BookInstanceId bookInstanceId)` Retrieve a BookView matching the supplied database instance ID.
`BookView` | `getBookView(String label)` Retrieve a child BookView matching the supplied label.
`BookView` | `getBookViewRecursive(BookDefinitionId bookDefinitionId)` Retrieve a BookView matching the supplied database definition id, searching the entire tree of nested books.
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)` Retrieve a BookView matching the supplied database instance ID, searching the entire tree of nested books.
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)` Retrieve a BookView matching the supplied database definition label, searching the entire tree of nested books.
`BookView[]` | `getBookViews()` Retrieves a list of all books in all placeholders on this page.
`LayoutView` | `getLayoutView()` Retrieve the child layout view associated with this page.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this look and feel.
`PageDefinition` | `getPageDefinition()` Retrieve the associated `PageDefinition` from this Page View.
`PageDefinitionId` | `getPageDefinitionId()` Getter for page definition id.
`PageInstance` | `getPageInstance()` Retrieve the associated `PageInstance` from this Page View.
`PageInstanceId` | `getPageInstanceId()` Getter for page instance id.
`PageView` | `getPageViewRecursive(PageDefinitionId pageDefinitionId)` Retrieve a PageView matching the supplied database definition id, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Retrieve a PageView matching the supplied database instance ID, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)` Retrieve a PageView matching the supplied database definition label, searching the entire tree of nested books.
`int` | `getPlaceableCount()` A convenience method for retieving a total count of all placeables (Books and Portlets) in all the placeholders on this page.
`PlaceableView` | `getPlaceableView(String label)` Return a PlaceableView (PortletView or BookView) matching the supplied label.
`PlaceableView[]` | `getPlaceableViews()` A method for retrieving an ordered list of all the placeables (books and portlets) in all the placeholders on this page.
`int` | `getPlaceholderCount()` A convenience method for retieving a count of placeholders in the current layout on this page.
`PlaceholderView[]` | `getPlaceholderViews()` A method for retrieving an ordered list of all the placeholders in this page.
`int` | `getPortletCount()` A convenience method for retrieving a total count of all the portlets in all the placeholders on this page.
`PortletView` | `getPortletView(PortletInstanceId portletInstanceId)` Retrieve a PortletView matching the supplied database instance ID.
`PortletView` | `getPortletView(String instanceLabel)` Retrieve a PortletView matching the supplied instance label.
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)` Retrieve a PortletView matching the supplied database instance ID, searching the entire tree of nested books.
`PortletView` | `getPortletViewRecursive(String portletInstanceLabel)` Retrieve a PortletView matching the supplied portlet instance label, searching the entire tree starting at this page and recursing all nested books, pages ...
`PortletView[]` | `getPortletViews()` Retrieves a list of all portlets in all placeholders on this page.
`PortletView[]` | `getPortletViews(String definitionLabel)` Retrieve an array of PortletViews matching the supplied definition label.
`String` | `getWebAppName()` Return the name of the webapp that this page is associated with.

Methods inherited from interface com.bea.netuix.application.view.ParentView
`getPageView`

Methods inherited from interface com.bea.netuix.application.view.NavigableView
`getAlignment, getDefinitionLabel, getMenuPosition, getNavigableDefinition, getNavigableInstance, isDefaultPage, isHidden, isPublic`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Methods inherited from interface com.bea.netuix.application.view.ThemedMarkupBasedView
`getThemeView`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Method Detail

### getBookCount

    public int getBookCount()

  A convenience method for retrieving a total count of all the books in all the placeholders on this page.

  This method counts immediate children only.

  Returns:
    a count of all the books in all the placeholders on this page.

### getBookGroupId

    public BookGroupId getBookGroupId()

  Getter for page's book group id. The book group id represents a unique placement of a page on a book. Book may contain Pages just like they may contain Books. If this page is placed on a Book then this book group id represents the primary key value of the PF_BOOK_GROUP.BOOK_GROUP_ID value in the database. If this view was obtained directly and not from a parent view object then this value may be null.

  Returns:
    the book group id if this PageView object was retrieved view a higher level view object (example BookView.getPageViews()).

### getBookView

    public BookView getBookView(BookInstanceId bookInstanceId)

  Retrieve a BookView matching the supplied database instance ID. This method returns immediate children only.

  Parameters:
    `bookInstanceId` - the database instance ID of the book
  Returns:
    a BookView or null if one was not found.

### getBookView

    public BookView getBookView(String label)

  Retrieve a child BookView matching the supplied label. This method returns immediate children only.

  Specified by:
    `getBookView` in interface `ParentView`
  Parameters:
    `label` -
  Returns:
    a BookView or null if one was not found.

### getBookViewRecursive

    public BookView getBookViewRecursive(BookDefinitionId bookDefinitionId)

  Retrieve a BookView matching the supplied database definition id, searching the entire tree of nested books.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`
  Parameters:
    `bookDefinitionId` - the deifnition id for the book
  Returns:
    a BookView or null if one was not found.

### getBookViewRecursive

    public BookView getBookViewRecursive(BookInstanceId bookInstanceId)

  Retrieve a BookView matching the supplied database instance ID, searching the entire tree of nested books.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`
  Parameters:
    `bookInstanceId` - the database instance ID of the book
  Returns:
    a BookView or null if one was not found.

### getBookViewRecursive

    public BookView getBookViewRecursive(String bookDefinitionLabel)

  Retrieve a BookView matching the supplied database definition label, searching the entire tree of nested books.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`
  Parameters:
    `bookDefinitionLabel` - the deifnition label fo rthe book
  Returns:
    a BookView or null if one was not found.

### getBookViews

    public BookView[] getBookViews()

  Retrieves a list of all books in all placeholders on this page. For an ordered list see `getPlaceableViews()`

  . This method returns immediate children only.

  Returns:
    array of BookView object in no particular order.

### getLayoutView

    public LayoutView getLayoutView()

  Retrieve the child layout view associated with this page. It is actually the layout that contains all the child placeables.

  Returns:
    a non null LayoutView associated with this page.

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this look and feel.

  Specified by:
    `getLocalizationResourceView` in interface `NavigableView`
  Returns:
    a non null LocalizationResourceView customized per the request.

### getPageDefinition

    public PageDefinition getPageDefinition()

  Retrieve the associated `PageDefinition` from this Page View. Page Views are immutable but Instances and Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Page Definition.

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

  Getter for page definition id. The definition id is the primary key value for the page definition in the PF_PAGE_DEFINITION table. A Page Definition may have many instance these instance are created when administrators or users customize their portal. A Page Definition always has at least one instance namely the "primary" instance.

  Returns:
    a non null unique definition id. This value should never be null as views are constructed via the persistence API.

### getPageInstance

    public PageInstance getPageInstance()

  Retrieve the associated `PageInstance` from this Page View. Page Views are immutable but Page Instances and Book Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Page Instance.

### getPageInstanceId

    public PageInstanceId getPageInstanceId()

  Getter for page instance id. The instance id is the primary key value for the page instance in the PF_PAGE_INSTANCE table. A Page Definition may have many instance these instance are created when administrators or users customize their portal. A Page Definition always has at least one instance namely the "primary" instance.

  Returns:
    a non null unique instance id. This value should never be null as views are constructed via the persistence API.

### getPageViewRecursive

    public PageView getPageViewRecursive(PageDefinitionId pageDefinitionId)

  Retrieve a PageView matching the supplied database definition id, searching the entire tree of nested books.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`
  Parameters:
    `pageDefinitionId` - the definition id of the page we are looking for.
  Returns:
    a PageView or null if one was not found.

### getPageViewRecursive

    public PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Retrieve a PageView matching the supplied database instance ID, searching the entire tree of nested books.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`
  Parameters:
    `pageInstanceId` - the database instance ID of the page
  Returns:
    a PageView or null if one was not found.

### getPageViewRecursive

    public PageView getPageViewRecursive(String pageDefinitionLabel)

  Retrieve a PageView matching the supplied database definition label, searching the entire tree of nested books.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`
  Parameters:
    `pageDefinitionLabel` - the definition label of the page we are looking for.
  Returns:
    a PageView or null if one was not found.

### getPlaceableCount

    public int getPlaceableCount()

  A convenience method for retieving a total count of all placeables (Books and Portlets) in all the placeholders on this page.

  This method counts immediate children only.

  Returns:
    a count of all the placeables (Books a& Portlets) in all the palceholders on this page.

### getPlaceableView

    public PlaceableView getPlaceableView(String label)

  Return a PlaceableView (PortletView or BookView) matching the supplied label. Note: portlets are searched first, so if a book and a portlet have the same label (which is possible) then the portletview would be returned. If you need the BookView or PortletView explicitly then call `getBookView(String defintionLabel)` or `getPortletView(String instanceLabel)`.

  Parameters:
    `label` - - instance label for portlets and definition label for books
  Returns:
    A BookView or PortletView.

### getPlaceableViews

    public PlaceableView[] getPlaceableViews()

  A method for retrieving an ordered list of all the placeables (books and portlets) in all the placeholders on this page. For just a list of placeables in a particular placeholder see PlaceholderView.

  This method returns immediate children only.

  Returns:
    an in order array of Placeable objects. The order of placeables is determined by the first placeholder and its orders placeables followed by the next placeholder and all it's palceables, and so on...

### getPlaceholderCount

    public int getPlaceholderCount()

  A convenience method for retieving a count of placeholders in the current layout on this page. This method counts immediate children only.

  Returns:
    a count of number of placeholders on this page's layout.

### getPlaceholderViews

    public PlaceholderView[] getPlaceholderViews()

  A method for retrieving an ordered list of all the placeholders in this page. The order of the placeholders is determined by the placeholders `getLocation()` index.

  This method returns immediate children only.

  Returns:
    an ordered array of PlaceholderView objects.

### getPortletCount

    public int getPortletCount()

  A convenience method for retrieving a total count of all the portlets in all the placeholders on this page.

  This method counts immediate children only.

  Returns:
    a count of all the portlets in all the palceholders on this page.

### getPortletView

    public PortletView getPortletView(PortletInstanceId portletInstanceId)

  Retrieve a PortletView matching the supplied database instance ID. This method returns immediate children only.

  Parameters:
    `portletInstanceId` - the database instance ID of the portlet
  Returns:
    a PortletView or null if one was not found.

### getPortletView

    public PortletView getPortletView(String instanceLabel)

  Retrieve a PortletView matching the supplied instance label. This method returns immediate children only.

  Parameters:
    `instanceLabel` - the instance label of the portlet
  Returns:
    a PortletView or null if one was not found.

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

  Retrieve a PortletView matching the supplied database instance ID, searching the entire tree of nested books.

  Specified by:
    `getPortletViewRecursive` in interface `ParentView`
  Parameters:
    `portletInstanceId` - the database instance ID of the portlet
  Returns:
    a PortletView or null if one was not found.

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(String portletInstanceLabel)

  Retrieve a PortletView matching the supplied portlet instance label, searching the entire tree starting at this page and recursing all nested books, pages ...

  Specified by:
    `getPortletViewRecursive` in interface `ParentView`
  Parameters:
    `portletInstanceLabel` - the instance label of the portlet
  Returns:
    a PortletView or null if one was not found.

### getPortletViews

    public PortletView[] getPortletViews()

  Retrieves a list of all portlets in all placeholders on this page. For an ordered list see `getPlaceableViews()`

  . This method returns immediate children only.

  Returns:
    array of PortletView objects in no particular order.

### getPortletViews

    public PortletView[] getPortletViews(String definitionLabel)

  Retrieve an array of PortletViews matching the supplied definition label. Since more then one instance can share the same definiiton lable we return an array This method returns immediate children only.

  Parameters:
    `definitionLabel` - the definition label of the portlets
  Returns:
    a array of portletViews or empty array

### getWebAppName

    public String getWebAppName()

  Return the name of the webapp that this page is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns:
    a non null webapp name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved